Sisällys

# Java-käynnistysparametrit

Tätä valintaikkunaa käytetään Java-ajoympäristön (JRE) valinnaisten käynnistysparametrien antamiseen. Tässä valintaikkunassa tehdyt asetukset ovat voimassa kaikille käynnistettäville JRE-ympäristöille.

Toiminnon käyttäminen:

Choose LibreOffice - Preferences Tools - Options - LibreOffice - Advanced.

## Java-käynnistysparametri

Syötetään JRE-käynnistysparametri samalla tavalla kuin komentorivillä. Napsautetaan Määritä-painiketta parametrin lisäämiseksi määriteltyjen parametrien luetteloon.

Polkunimissä ei käytetä ohjausmerkkisarjoja tai lainausmerkkejä.

Esimerkiksi "myprop"-järjestelmäominaisuuden osoittamiseksi kansioon syötetään seuraava parametri:

-Dmyprop=c:\program files\java

JRE-vianjäljityksen käyttöön ottamiseksi syötetään seuraavat parametrit:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Nämä muutokset tulevat voimaan, kun LibreOffice käynnistetään uudelleen.

### Määritellyt käynnistysparametrit

Luettelossa on määritellyt JRE-käynnistysparametrit. Parametrin poistamiseksi valitaan parametri ja napsautetaan sitten Poista.

### Add

Lisätään käsiteltävä JRE-käynnistysparametri luetteloon.

### Edit

Opens a dialog where the selected JRE start parameter can be edited.

### Poista

Poistetaan valittu JRE-käynnistysparametri.

Please support us!